<div *ngIf="component" class="card my-3">
  <div class="card-body">
    <div class="card-title">
      <img width="20" height="20" src="http://identicon.org/?t={{ component.name }}=10&c=232323" />
      {{ component.name }}
      <div class="btn-group float-right">
        <button type="button" class="btn " data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
          <i class="fa fa-ellipsis-v"> </i>
        </button>
        <div class="dropdown-menu">
          <a class="dropdown-item" href="#" (click)="create(component.name)">Criar</a>
          <a class="dropdown-item" href="#" (click)="delete(component.name)">Remover</a>
        </div>
      </div>
    </div>
  </div>
</div>

<div *ngIf="phase" class="card my-3 ">
  <div class="card-body">
    <div class="card-title">
      {{ phase.name }}
      <div class="btn-group float-right">
        <button type="button" class="btn " data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
          <i class="fa fa-ellipsis-v"> </i>
        </button>
        <div class="dropdown-menu">
          <div class="custom-file">
              <input type="file" class="custom-file-input" id="customFile" (change)="add($event)">
              <label class="custom-file-label" for="customFile">Adicionar</label>
            </div>
        </div>
      </div>
    </div>
    <div class="card-subtitle">
        <span class="badge badge-secondary">
            {{ phase.version }}
        </span>
    </div>
  </div>
</div>